﻿using System;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("1.- Comparacion entre 2 horas (TimeSpan)");
            Console.WriteLine("2.- Diferencia de horas entre 2 dias (TimeSpan)");
            Console.WriteLine("Elige una opcion:");

            int opcion = Convert.ToInt32(Console.ReadLine());

            Console.Clear();
            switch (opcion)
            {
                case 1:
                    Console.WriteLine("Escribe una hora en formato HH:mm");
                    Console.WriteLine("Por ejemplo: 13:30");
                    TimeSpan time1 = TimeSpan.Parse(Console.ReadLine());
                    Console.WriteLine("Escribe otra hora en formato HH:mm");
                    TimeSpan time2 = TimeSpan.Parse(Console.ReadLine());

                    if (time1 > time2)
                        Console.Write("La 1ra hora es mayor que la 2da");
                    else if (time1 < time2)
                        Console.Write("La 2da hora es mayor que la 1ra");
                    else
                        Console.Write("La 1ra hora es igual que la 2da");

                    Console.Read();
                    break;
                case 2:
                    Console.WriteLine("Escribe un dia del mes:");
                    int dia1 = Convert.ToInt32(Console.ReadLine());
                    Console.WriteLine("Escribe otro dia del mes:");
                    int dia2 = Convert.ToInt32(Console.ReadLine());

                    DateTime date1 = new DateTime(DateTime.Now.Year, DateTime.Now.Month, dia1);
                    DateTime date2 = new DateTime(DateTime.Now.Year, DateTime.Now.Month, dia2); 

                    int total = Convert.ToInt32(date2.Subtract(date1).TotalHours);

                    Console.WriteLine("Horas de diferencia entre las 2 fechas: " + total.ToString());

                    Console.Read();
                    break;
            }            
        }
    }
}
